Getting Help

The online help for METIS uses Microsoft's HTML Help technology. In order to get the most from the help provided, you should take some time to familiarize yourself with the help viewer's operation.

Tips:

  • Click the Index tab to search for topics by using an index of Help subjects, and click the Search tab to use full-text search and look for specific words or phrases.

  • Resize or move the window so that you can see all of a graphic, table or procedure. The help viewer will start in the same position it was in the last time you closed it.

  • Use the Related Topics links to locate useful information in other help topics.

  • Click the Show or Hide navigation buttons in this Help system to show or hide the Contents, Index, and Search tabs (the left pane).

  • Click Back to return to the previously viewed topic. Click Forward to go to the topic that was displayed prior to going back.

  • Use the browse arrows at the top of the information pane (the right pane, if you have both panes showing) to page through the help system in a book-like sequence.


METIS Resources

If you have Internet access, you can connect to the Computas home page, the METIS home page, the METIS Model Browser home page, a list of Frequently Asked Questions (FAQ), and the METIS Support pages.

Computas Home Page

METIS Model Browser Home Page

Frequently Asked Questions

METIS Support

For support questions send an e-mail to support@metis.no

The METIS Model Browser Release Bulletin is in PDF format. To view it you will need to download the Acrobat Reader.


Copyright and Trademarks

The information in this document is subject to change without notice. Computas AS assumes no responsibility for any errors that may appear in this document, or for the use of its software in environments not supported by Computas AS.

Duplication or use of this document in part or in total, in print or in any other storage and retrieval systems, requires the written permission of Computas AS.

Copyright © 1999-2000 Computas AS. All rights reserved.

METIS is a trademark of Computas AS.

Acknowledgements:

MICROSOFT, MICROSOFT ACCESS, MICROSOFT OFFICE COMPATIBLE, and MICROSOFT WINDOWS NT are registered trademarks of Microsoft Corporation.

PENTIUM and PENTIUM PROCESSOR are registered trademarks of Intel Corporation

WINDOWS and WINDOWS NT are registered trademarks of Microsoft Corporation

SOLARIS is a registered trademark of Sun Microsystems, Inc.

NETSCAPE is a registered trademark of Netscape Communications Corporation.

All other trademarks are the property of the respective owners


Using METIS Menus

The METIS Model Browser window has a number of menus that contain many commands. For example, to print and to zoom in and out of the current model view.

Sub Topics

File Menu

View Menu

Tools Menu

Window Menu

Help Menu

Pop-up Menus


File Menu

Menu Option | Action
Print | Prints the content of the right pane of the METIS window in the format you specify.

Related Topics

Using METIS Toolbars


View Menu

Menu Option | Action
Zoom In | Zooms into elements.
Zoom Out | Zooms out of elements.
Zoom All | Zooms to all elements.
Zoom Rectangle | Zooms to a selected area.
Show Scroll Bars | Displays or hides scroll bars.
Show Status Bar | Displays or hides the status bar.
Show Left Pane | Displays or hides the left pane of the METIS window.
Toolbars | Standard | Displays or hides the Standard toolbar.

Related Topics

Using METIS Toolbars


Tools Menu

Menu Option | Action
Show Load State | Displays the Load State dialog box allowing you to view the current state and access privileges of all loaded files.

Related Topics

Using METIS Toolbars


Window Menu

Lists the currently open files. Click the file you want to switch to.

Related Topics

Using METIS Toolbars


Help Menu

Menu Option | Action
METIS Help | Opens the online Help index and table of contents.
About METIS | Displays information about METIS.

Related Topics

Using METIS Toolbars


Pop-up Menus

Many functions can be performed in the METIS Model Browser window using pop-up menus. Pop-up menus are context sensitive and contain common commands that you may apply to the element that you clicked. For example, the pop-up menu that displays for an object is different than that displayed for a relationship.

Tip: Pop-up menus are also available for various elements displayed in the Object, View, and Loaded trees, and for the METIS toolbars.

Since the options on a pop-up menu depend upon the context, the following table is ordered alphabetically.

Menu Option | Action
Close/Open | Closes or opens a container or decomposition structure.
Hide End Text | Hides the end text for the selected relationship.
Hide Relationship | Hides the selected relationship.
Hide Start Text | Hides the start text for the selected relationship.
Open/Close | Opens or closes a container or decomposition structure.
Properties | Displays the Properties dialog box for the selected object, relationship, model view, symbol, relationship symbol, text primitive, or image primitive.
Property List | Object Structure | Displays the Property List dialog box for the current object structure. Each row in the dialog box represents a single object. Each column represents a property for the object. Only common properties are displayed in the list when multiple object types are selected.
Property List | Connected Relationships | Displays the Property List dialog box for all relationships connected to the current object. Each row in the dialog box represents a single relationship. The columns represent the origin and target objects and the properties for each relationship. Only common properties are displayed in the list when multiple relationship types are connected.
Relationship Visibility | Show Relationships | Shows all relationships connected to the current object or all relationships in a container.
Relationship Visibility | Hide Relationships | Hides all relationships connected to the current object or all relationships in a container.
Relationship Visibility | Show Inter Relationships | Shows all relationships that exist between objects in the current container and other containers.
Relationship Visibility | Hide Inter Relationships | Hides all relationships that exist between objects in the current container and other containers.
Relationship Visibility | Restore Relationships | Restores the visible/hidden state of all relationships connected to an object or all relationships in a container.
Relationships | Show Relationship Text | Shows all relationship text for the current object or container.
Relationships | Hide Relationship Text | Hides all relationship text for the current object or container.
Relationships | Show Inter Relationship Text | Shows all text for relationships that exist between objects in the current container and other containers.
Show End Text | Shows the end text for the selected relationship.
Show Start Text | Shows the start text for the selected relationship.
Zoom Context | Zooms to the current relationship and displays the objects it connects.
Zoom End | Zooms to the end point of the current relationship.
Zoom Start | Zooms to the start point of the current relationship.
Zoom | Zoom To | Zooms to the selected element.
Zoom | Zoom To Text Size | Zooms to the selected element to display its text with its default size.


Using METIS Toolbars

The METIS Model Browser window has a toolbar for frequently performed functions. Most of these functions are also available from the menu bar.

Tip: You can right-click on the toolbar to show or hide it.

Sub Topics

Standard Toolbar


Standard Toolbar

Command | Button | Action | Alternative
Zoom Out |  | Zooms out of the right pane of the METIS Model Browser window to view more elements at a reduced size. Tip: The default zoom factor for zooming in and out is 1.5. | View menu
Zoom Slider |  | Zooms in and out of the right pane of the METIS window. |
Zoom In |  | Zooms in to the right pane of the METIS Model Browser window to view elements in more detail. Tip: The default zoom factor for zooming in and out is 1.5. | View menu
Zoom All |  | Zooms to all elements in the right pane of the METIS Model Browser window. | View menu.
Zoom Rectangle |  | Zooms to a selected area of the right pane of the METIS Model Browser window | View menu
Show Left Pane |  | Shows or hides the tree structures in the left pane of the METIS window. | View menu
Next Position |  | Navigates to the next position in the right pane of the METIS Model Browser |
Previous Position |  | Navigates to the previous position in the right pane of the METIS Model Browser |
METIS Help |  | Opens the online Help index and table of contents. Tip: Click METIS Help when a dialog box is open to display information about the various options in the dialog box. | Help menu F1

Related Topics

Using METIS Menus


Using Tree Structure Tabs and Buttons

The tree structure in the left pane of the METIS window provides access to various trees from which you can view properties, zoom to elements, show and hide relationships, and so on.

Sub Topics

Tree Sorter Button

Domain Tab

View Tab

Object Tab

Loaded Tab


Tree Sorter Button

Each tree in the left pane of the METIS window has a Tree Sorter button. This button is located at the top of each tree and alphabetically sorts the nodes on the top level in the current tree. You click the Tree Sorter to sort the tree alphabetically.

Tips:

  • To resize the width of the tree, point to the right edge of the Tree Sorter button. When the cursor changes to a [image], drag the edge of the Tree Sorter button to the position you require.

  • To resize the left and right panes of the METIS Model Browser window, point to the split bar that separates the panes. When the cursor changes to a [image], drag the split bar to the position you want.

  • To show or hide the left pane of the METIS Model Browser window, click Show Left Pane [image].


Domain Tab

The Domain tab shows all the domains that were available when the model was created. Each domain contains the various object and relationship types, criteria and so on.

Note that no functions can be performed using the Domain tree.

Domain Tree

To see the Domain tree, click the Domain tab at the bottom of the left pane of the METIS Model Browser window.

Note: A tab may be hidden in the left pane of the METIS Model Browser window. To resize the left pane and reveal the tab, point to the split bar that separates the panes. When the cursor changes to a [image], drag the split bar to the right.

Tip: To show or hide the left pane of the METIS Model Browser window, click Show Left Pane [image].

Related Topics

View Tab

Object Tab

Loaded Tab


View Tab

The View tab provides access to the View tree. The View tree is another way of displaying the objects in the current model view. All the objects displayed in the current model view are listed in the View tree.

You can use the View tree to perform functions in the current model view. For example, you can zoom to elements, open and close containers, and so on.

Right-click an object view in the View tree to display a pop-up menu with commands available to that object. Note that this is the same pop-up menu that is displayed for the same object in the current model view. Click an object listed in the View tree to zoom to the object in the current model view.

View Tree

To see the View tree, click the View tab at the bottom of the left pane of the METIS window.

Note: A tab may be hidden in the left pane of the METIS Model Browser window. To resize the left pane and reveal the tab, point to the split bar that separates the panes. When the cursor changes to a [image], drag the split bar to the right.

Tip: To show or hide the left pane of the METIS Model Browser window, click Show Left Pane [image].

Related Topics

Domain Tab

Object Tab

Loaded Tab


Object Tab

The Object tab provides access to the Object tree. Here you can see all the objects in the current model view.

Note that you can only use the Object tree to view object properties. Right-click an object to display the pop-up menu.

Object Tree

To see the Object tree, click the Object tab at the bottom of the left pane of the METIS window.

Note: A tab may be hidden in the left pane of the METIS Model Browser window. To resize the left pane and reveal the tab, point to the split bar that separates the panes. When the cursor changes to a [image], drag the split bar to the right.

Tip: To show or hide the left pane of the METIS Model Browser window, click Show Left Pane [image].

Related Topics

Domain Tab

Object Tab

Loaded Tab


Loaded Tab

The Loaded tab provides access to the Loaded tree. Here you can see all the files that were loaded when the model was created. For example, you can see all loaded objects, relationships, symbols, search criteria, model views, and so on.

Note that you can only use the Object tree to view object properties. Right-click an object to display the pop-up menu.

Loaded Tree

Note: A tab may be hidden in the left pane of the METIS Model Browser window. To resize the left pane and reveal the tab, point to the split bar that separates the panes. When the cursor changes to a [image], drag the split bar to the right.

Tip: To show or hide the left pane of the METIS Model Browser window, click Show Left Pane [image].

Related Topics

Domain Tab

Object Tab

View Tab


Navigating and Viewing

METIS provides many ways to view and scroll through the contents of the METIS windows. Each window has a vast viewing area; thus, METIS includes a number of powerful features for zooming in and out of elements on screen.

Sub Topics

Zoom In

Zoom Out

Zoom to One Object

Zoom to Selected Area

Zoom to All

Zoom In and Out Using the Zoom Slider

Pan and Scroll Through a Model View

Zoom to an Object to Display Its Default Text Size

Navigate to the Start and End Objects of a Relationship

Zoom Both the Relationship and the Objects It Connects

Navigate Using the Properties Dialog Box

Navigate Using Action Buttons

Zoom to the Previous and Next Positions in a Model

View Object and Relationship Properties

View Multiple Object and Relationship Properties

View Model View Properties

Switch Between Model Views


Zoom In

You can zoom in to view elements in more detail.

  • Click Zoom In [image].

Notes:

  • The current zoom level is displayed in the status bar at the bottom of the screen.

  • The default zoom factor for zooming in and out is 1.5.

Alternatives:

  • On the View menu in the METIS Model Browser window, click Zoom In.

  • Use the slider on the Zoom Slider toolbar to zoom in and out.

  • Click an object or a container in the modeling area.

  • Click an object in the Object tree or the View tree.

Tips:

  • If an object has multiple views in the same model view, you can zoom to each object view in turn by repeatedly clicking the corresponding object in the Object tree.

  • You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Zoom In and Out Using the Zoom Slider


Zoom Out

You can zoom out to see more elements at a reduced size.

  • Click Zoom Out [image].

Notes:

  • The current zoom level is displayed in the status bar at the bottom of the screen.

  • The default zoom factor for zooming in and out is 1.5.

Alternatives:

  • On the View menu in the METIS Model Browser window, click Zoom Out.

  • Use the slider on the Zoom Slider toolbar to zoom in and out.

  • Click the background or a container in the modeling area.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Zoom In and Out Using the Zoom Slider


Zoom to One Object

  • Click the object.

Alternatives:

  • Right-click the object, point to Zoom, and then click Zoom to.

  • Click the corresponding object in the Object or View tree.

  • Right-click the corresponding object in the View tree, point to Zoom, and then click Zoom to.

Tips:

  • If an object has multiple views in the same model view, you can zoom to each object view in turn by repeatedly clicking the corresponding object in the Object tree.

  • You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Navigating and Viewing


Zoom to Selected Area

You can zoom to a selected area.

  1. Click Zoom Rectangle [image].

  2. Position the cursor on the perimeter of the area you want to zoom to.

  3. Drag the mouse to surround the area you want to zoom to, then release the mouse button. The selected area is zoomed to.

Note: The current zoom level is provided in the status bar at the bottom of the screen.

Alternative: On the View menu in the METIS Model Browser window, click Zoom Rectangle.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Navigating and Viewing


Zoom to All

You can zoom to all elements.

  • Click Zoom All [image]. All elements are displayed.

Note: The current zoom level is provided in the status bar at the bottom of the screen.

Alternatives:

  • On the View menu in the METIS Model Browser window, click Zoom All.

  • Click the background in the modeling area.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Navigating and Viewing


Zoom In and Out Using the Zoom Slider

On the Zoom Slider toolbar:

  • To zoom in, drag the slider to the right.

  • To zoom out, drag the slider to the left.

Zoom Slider

Note: The zoom level is provided in the status bar at the bottom of the screen.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Navigating and Viewing


Pan and Scroll Through a Model View

Use one of the following methods to pan or scroll through a model view:

  • Drag the scroll box located on either the horizontal or vertical scroll bars.

  • Left-click the background and drag the mouse beyond the current view. The view automatically scrolls to follow the cursor.

Tips:

  • You can choose whether to display or hide scroll bars by clicking Show Scroll Bars on the View menu in the METIS Model Browser window.

  • You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Navigating and Viewing


Zoom to an Object to Display Its Default Text Size

You can zoom to an object so that its name is displayed with its default size; that is, the text size defined in the Symbol Editor.

  • Right-click the object, point to Zoom, and then click Zoom To Text Size on the pop-up menu.

Alternatives:

  • Right-click the corresponding object or container in the View tree, point to Zoom, and then click Zoom To Text Size on the pop-up menu.

Tips:

  • If an object has multiple views in the same model view, you can zoom to each object view in turn by repeatedly clicking the corresponding object in the Object tree.

  • You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Navigating and Viewing


Navigate to the Start and End Objects of a Relationship

Relationships in a model have start and end objects. You can navigate through a model by zooming to the start and end objects of a relationship.

  1. Right-click the relationship you want to navigate

  2. Point to Zoom on the pop-up menu, and then do one of the following:
    • Click Zoom Start to zoom to the relationship’s start object.

    • Click Zoom End to zoom to the relationship’s end object.

Tip: You can also zoom to a relationship to display its default text size.

Alternative: Click one end of a relationship to zoom to the opposite end.

Related Topics

Zoom both the Relationship and the Objects it Connects

Navigating and Viewing


Zoom Both the Relationship and the Objects It Connects

  1. Right-click the relationship you want to display with the objects it connects.

  2. Point to Zoom on the pop-up menu, and then click Zoom Context. METIS zooms to display both the relationship and the objects it connects.

Tip: You can also zoom to the start and end objects of a relationship and to a relationship to display its default text size.

Related Topics

Navigate to the Start and End Objects of a Relationship

Navigating and Viewing


Navigate Using the Properties Dialog Box

  1. Right-click the object you want to start navigating from.

  2. Click Properties.

  3. Click the Links tab.

  4. Click [image] next to the name of the object you want to zoom to.

  5. Click [image] to return to your starting point.

  6. Click OK to close the dialog box.

Note: A [image] is displayed for each related object. If you have more than one view of an object, more than one [image] is displayed.

Tips:

  • Hold the mouse over [image] to display the name of the model view tab where the object view is displayed.

  • To display the source and target objects in the Properties dialog box for each relationship listed on the Links tab, click the relationship's name. Click [image] to return to the former dialog setting.

  • To display the relationships in the Properties dialog box for each object listed on the Links tab, click the object's name. Click [image] to return to the former dialog setting.

Related Topics

Navigating and Viewing


Navigate Using Action Buttons

  • Click an Action button to zoom to the area the action button is connected to.

Note: Depending on how the Action button is defined, clicking it may zoom to one of the following areas:

  • An object or container in the current model view, another model view, or another model.

  • A relationship and the objects it connects.

  • The parent of an object.

  • All elements in the current model view.

Tip: The Action button can also be used to open an Online Document.

Related Topics

Navigating and Viewing

Open an Online Document Using an Action Button


Zoom to the Previous and Next Positions in a Model

You can zoom to the previous and next positions and toggle between the two when viewing or navigating a model. For example, you can zoom to one object then zoom to another object and then use the Next Position [image] and Previous Position [image] buttons on the Standard toolbar to toggle between the two.

  1. Use one of the following methods to zoom to the first position:
    • To zoom all, click Zoom All [image].

    • To zoom to an object or container, right-click the object or container, point to Zoom, and then click Zoom To, or click the object or container.

    • To zoom to an object or container to display its text with its default size, right-click the object or container, point to Zoom, and then click Zoom To Text Size.

    • To zoom to an area, click Zoom Rectangle [image]. Position the cursor on the perimeter of the area you want to zoom to and then release the mouse button. The selected area is zoomed to.
  2. To zoom to the next position, repeat step 1.

  3. To zoom to the previous position, click Previous Position [image].

  4. To zoom to the next position, click Next Position [image].

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Zoom to All

Zoom to One Object

Zoom to an Object to Display Its Default Text Size

Navigating and Viewing

Zoom to Selected Area


View Object and Relationship Properties

Each object and some relationships, for example, the annotation relationship, have property values such as name and description. You can view this information in the object or relationship's Properties dialog box.

  1. Right-click the object or relationship and click Properties on the pop-up menu.

  2. Click the each tab within the dialog box to view information about the current object or relationship.

  3. Click OK to close the dialog box.

Tip: You can also view properties all objects in a structure, for example, a container or a decomposition structure. Properties for all relationships connected to an object can also be viewed.

Alternative: In the Object tree or View tree, right-click the corresponding object and click Properties on the pop-up menu.

Related Topics

Navigating and Viewing

Navigate Using the Properties Dialog Box

View Multiple Object and Relationship Properties


View Multiple Object and Relationship Properties

You can view the properties of more than one object or relationship at the same time. You can also view properties all objects in a structure, for example, a container or a decomposition structure, or properties for all relationships connected to an object.

Note that only the common properties are displayed in the Property List dialog box. For example, you may have a container that displays Organization and Location object types. Only the Name and Description properties will be displayed in the dialog box for these types.

  1. To view multiple object and relationship properties do one of the following:
    • To view properties for all objects in a structure, right-click the container or the decomposition structure, point to Property List, and then click Object Structure.

    • To view properties for all relationships connected to an object, right-click the object, point to Property List, and then click Connected Relationships.
  2. Click OK to close the dialog box.

Tips:

  • You can use the Property List dialog box to export and print properties.

  • To view the properties for one object or relationship displayed in the dialog box, select it and then click Properties [image].

Alternative: In View tree, right-click the corresponding container, decomposition structure, or object, point to Property List, and then click Object Structure or Connected Relationships.

Related Topics

Navigating and Viewing

Navigate Using the Properties Dialog Box

View Object and Relationship Properties

Export Properties

Print Object and Relationship Properties


View Model View Properties

Each model view has a name and description. You can view this information in the model view's Properties dialog box.

  1. Right-click the model view and click Properties on the pop-up menu.

  2. View the information.

  3. Click OK to close the dialog box.

Related Topics

Navigating and Viewing


Switch Between Model Views

You can switch between multiple model views.

  • Click the tab for the model view you want.

Tip: If you don't see the tab you want, click the tab scrolling buttons to display the tab., then click the tab.

Related Topics

Navigating and Viewing


Opening and Closing Containers and Objects

You can open and close containers and objects to show and hide their contents.

Sub Topics

Open or Close a Container

Open or Close a Decomposition Object


Open or Close a Container

You can open and close a container to show and hide its contents.

To open and close a container:

  • Right-click the container and then click Open or Close on the pop-up menu.

Alternative: In the View tree, right-click the container and click Open or Close on the pop-up menu.

Related Topics

Opening and Closing Containers and Objects

Show and Hide Relationships and their Text

Customizing the Interface


Open or Close a Decomposition Object

You can open and close any object in a decomposition structure to show or hide its components.

To open and close a decomposition object:

  • Right-click the object and click Open or Close on the pop-up menu.

Alternative: In the View tree, right-click the object and click Open or Close on the pop-up menu.

Related Topics

Opening and Closing Containers and Objects

Show and Hide Relationships and their Text

Customizing the Interface


Show and Hide Relationships and Their Text

You can show and hide relationships. For example, you can show or hide all relationships in a container, between containers, and all relationships for the current object. You can also show and hide relationship text.

Sub Topics

Show and Hide a Single Relationship

Show and Hide All Relationships Connected to an Object

Show and Hide All Relationships in a Container

Show and Hide All Relationships in a Model View

Show and Hide All Relationships that Exist Between Objects in Other Containers

Restore All Relationships Connected to an Object

Restore All Relationships in a Model View

Restore All Relationships in a Container

Show and Hide Relationship Text for Objects in a Container

Show and Hide All Relationship Text for an Object

Show and Hide All Relationship Text in a Model View

Show and Hide Start and End Text on a Relationship

Show and Hide All Relationship Text for Objects in Other Containers


Show and Hide a Single Relationship

  1. Right-click the relationship and click Hide Relationship on the pop-up menu.

  2. To show the relationship again, right-click an object the relationship was connected to, point to Relationships, and then click Show Relationships on the pop-up menu.

Note: The Show Relationships command shows all relationships connected to the selected object.

Alternative: To show all relationships connected to an object, right-click the object in the View tree, point to Relationships and choose Show Relationships on the pop-up menu.

Related Topics

Show and Hide All Relationships Connected to an Object

Show and Hide All Relationships in a Container

Show and Hide All Relationships in a Model View

Show and Hide All Relationships that Exist Between Objects in Other Containers


Show and Hide All Relationships Connected to an Object

  1. Right-click the object, point to Relationship Visibility, and then click Hide Relationships on the pop-up menu.

  2. To show all connected relationships again, right-click the object, point to Relationship Visibility, and then click Show Relationships on the pop-up menu.

Alternatives:

  • To hide all relationships connected to an object, right-click the object in the View tree, point to Relationship Visibility, and then choose Hide Relationships on the pop-up menu.

  • To show all relationships connected to an object, right-click the object in the View tree, point to Relationship Visibility, and then choose Show Relationships on the pop-up menu.

Related Topics

Show and Hide All Relationships in a Container

Show and Hide All Relationships in a Model View

Show and Hide All Relationships that Exist Between Objects in Other Containers

Show and Hide a Single Relationship


Show and Hide All Relationships in a Container

You can choose to display all of the relationships or none of the relationships that exist in the current container. The show option displays all the relationships among the objects in the current container and all the relationships between the objects in the current container and the objects in other containers. For the hide option, none of these relationships display.

  • Right-click the container, point to Relationship Visibility, and then click either Show Relationships to show all relationships or Hide Relationships to hide all relationships.

Alternative: In the View tree, right-click the name of the applicable container, point to Relationship Visibility, and then click either Show Relationships or Hide Relationships.

Related Topics

Show and Hide All Relationships in a Model View

Show and Hide All Relationships Connected to an Object

Show and Hide All Relationships that Exist Between Objects in Other Containers

Show and Hide a Single Relationship


Show and Hide All Relationships in a Model View

You can show or hide all relationships that exist between objects in the current model view.

  • On the View menu in the METIS Model Browser window, point to Relationship Visibility and click Show All Relationships to show all relationships in the current model view, or Hide All Relationships to hide all relationships.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Show and Hide All Relationships in a Container

Show and Hide All Relationships Connected to an Object

Show and Hide All Relationships that Exist Between Objects in Other Containers

Show and Hide a Single Relationship


Show and Hide All Relationships that Exist Between Objects in Other Containers

You can choose to display all or none of the relationships that exist between objects in the current container and other containers. Relationships that exist between objects in the current container only are not affected.

  1. Right-click the container, point to Relationship Visibility, and then do one of the following:
    • To show all relationships that exist between objects in the current container and other containers, click Show Inter Relationships.

    • To hide all relationships that exist between objects in the current container and other containers, click Hide Inter Relationships.

Alternative: In the View tree, right-click the name of the applicable container, point to Relationship Visibility and click either Show Inter Relationships or Hide Inter Relationships.

Related Topics

Show and Hide All Relationships in a Model View

Show and Hide All Relationships Connected to an Object

Show and Hide All Relationships in a Container

Show and Hide a Single Relationship


Restore All Relationships Connected to an Object

You can restore the visible/hidden state of all relationships connected to an object to when the model was first loaded. All relationships that were displayed for the object when the model was first loaded are displayed, and all relationships that were hidden are hidden.

  • Right-click the object, point to Relationship Visibility, and then click Restore Relationships.

Alternative: Right-click the object in the View tree, point to Relationship Visibility, and then click Restore Relationships.

Related Topics

Restore All Relationships in a Model View

Restore All Relationships in a Container


Restore All Relationships in a Model View

You can restore the visible/hidden state of all relationships in the current model view to their state when the model was first loaded. All relationships that were displayed in the model view when the model was first loaded are displayed, and all relationships that were hidden are hidden.

  • On the View menu in the METIS Model Browser window, point to Relationship Visibility and click Restore All Relationships.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Restore All Relationships in a Container

Restore All Relationships Connected to an Object


Restore All Relationships in a Container

You can restore the visible/hidden state of all relationships that exist between objects in the current container to when the model was first loaded. Relationships that exist between these objects and those in other containers are also restored. All relationships that were displayed in the container when the model was first loaded are displayed, and all relationships that were hidden are hidden.

  • Right-click the container, point to Relationship Visibility, and then click Restore Relationships.

Alternative: Right-click the container in the View tree, point to Relationship Visibility, and then click Restore Relationships.

Related Topics

Restore All Relationships in a Model View

Restore All Relationships Connected to an Object


Show and Hide Relationship Text for Objects in a Container

You can choose to show or hide text that is displayed on all relationships that exist between objects in a container. Text is also shown or hidden for relationships that exist between these objects and other containers.

  • Right-click the container, point to Relationship Text, and then click either Show Relationship Text or Hide Relationship Text.

Alternative: In the View tree, right-click the name of the container, point to Relationship Text, and then click either Show Relationship Text or Hide Relationship Text.

Related Topics

Show and Hide All Relationship Text in a Model View

Show and Hide Start and End Text on a Relationship

Show and Hide All Relationship Text for an Object

Show and Hide All Relationship Text for Objects in Other Containers


Show and Hide All Relationship Text for an Object

You can choose to show or hide text that is displayed on all relationships connected to a single object.

  • Right-click the object, point to Relationship Text, and then click either Show Relationship Text or Hide Relationship Text.

Alternative: In the View tree, right-click the name of the object, point to Relationship Text, and then click either Show Relationship Text or Hide Relationship Text.

Related Topics

Show and Hide All Relationship Text in a Model View

Show and Hide Start and End Text on a Relationship

Show and Hide Relationship Text for Objects in a Container

Show and Hide All Relationship Text for Objects in Other Containers


Show and Hide All Relationship Text in a Model View

You can choose to show or hide text that is displayed on all relationships in a model view.

  • On the View menu in the METIS Model Browser window, point to Relationship Text and then click either Show All Relationship Text or Hide All Relationship Text.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Show and Hide All Relationship Text for an Object

Show and Hide Start and End Text on a Relationship

Show and Hide Relationship Text for Objects in a Container

Show and Hide All Relationship Text for Objects in Other Containers


Show and Hide Start and End Text on a Relationship

You can choose to show or hide start and end text on a single relationship.

  1. Right-click the relationship and then do one or more of the following:
    • To show or hide the start text for a single relationship, right-click the relationship and click Show Start Text or Hide Start Text.

    • To show or hide the end text for a single relationship, right-click the relationship and click Show End Text or Hide End Text.

Related Topics

Show and Hide All Relationship Text for an Object

Show and Hide All Relationship Text in a Model View

Show and Hide Relationship Text for Objects in a Container

Show and Hide All Relationship Text for Objects in Other Containers


Show and Hide All Relationship Text for Objects in Other Containers

You can choose to show or hide relationship text for relationships that exist between objects in the current container and other containers. Text for relationships that exist between objects in the current container only are not affected.

  • Right-click the container, point to Relationship Text, and then click either Show Inter Relationship Text or Hide Inter Relationship Text.

Alternative: In the View tree, right-click the name of the container, point to Relationship Text, and then click either Show Inter Relationship Text or Hide Inter Relationship Text.

Related Topics

Show and Hide Relationship Text for Objects in a Container

Show and Hide Relationship Text for an Object

Show and Hide All Relationship Text in a Model View

Show and Hide Start or End Text on a Relationship


Opening Documents

You can use the Online Document object type to open files such as a Microsoft Word or Excel file, an HTML file, or a Help system. Note that this depends on how the Online Document object type is defined.

An Action button can also be used to open a document. Note that this also depends on how the Action button has been defined.

Sub Topics

Open an Online Document

Open an Online Document Using an Action Button


Open an Online Document

  • Right-click the Online Document and click Open Document. The document opens in the applicable application.

Note: METIS determines the application used to open the document when the Online Document object is defined.

Tip: An Action button can also be used to open a document. Note that this depends on how the Action button has been defined.

Alternative: Right-click the corresponding Online Document in the View tree and click Open Document.

Related Topics

Open an Online Document Using an Action Button


Open an Online Document Using an Action Button

An Action button can also be used to open a document. Note that this depends on how the Action button has been defined.

  • Double-click the Action button to open the document.

Note: METIS determines the application used to open the document when the Online Document object is defined.

Tip: An Online Document can also be used to open a document.

Related Topics

Open an Online Document


Export Properties

You can export properties for all objects that exist in a structure, for example, a container or a decomposition structure, or properties for all relationships connected to an object. You can also choose to export the property label, for example, Name and Description, and the type label, for example, Container and Organization Object.

  1. Right-click a container, decomposition structure, or object whose connected relationship properties you want to export.

  2. Point to Property List and do one of the following:
    • To display the Property List for an object structure, click Object Structure.

    • To display the Property List for relationships connected to an object, click Connected Relationships.
  3. If required, select the objects or relationship you want to export properties for in the Property List dialog box.

  4. Click Export Properties [image] in the dialog box. The CSV Export Properties dialog box is displayed.

  5. Do one of more of the following:
    • To export properties for all objects or relationships displayed in the dialog box, select All.

    • To export properties only for selected objects or relationships displayed in the dialog box, select Selected.

    • To export the property labels, for example, Name and Description, select Column Header. Exported property labels are displayed in columns in the CSV export file.

    • To export the type labels, for example, Container and Organization Object, select Row Header. Exported type labels are displayed in rows in the CSV export file.
  6. Click Browse to browse to the directory where you want to store a new CSV file and enter a new name in the File name box. The name of the CSV file displays in the CSV Export File box.

  7. Click Export to export the model data to the CSV file and to close the dialog box.

  8. Click OK to close the Properties dialog box.

Note: Only common properties are displayed in the Property List dialog box. For example, you may have a container that displays Organization and Location object types. Only the Name and Description properties will be displayed in the dialog box for these types.

Tip: You can print the properties displayed in the Property List dialog box.

Related Topics

Print Object and Relationship Properties

View Multiple Object and Relationship Properties


Printing - Printing

Printing

All objects and relationships displayed in the right pane of the METIS Model Browser window can be printed. You can print all of the current model view or you can zoom to a specific area to print your selection. The current print selection is previewed in the Print dialog box. You can also specify:

  • The number of pages to print a model view on

  • To use portrait or landscape page orientation

  • To print a grid with the model view

You can also print properties for all or selected objects and relationships displayed in the Property List dialog box.

Sub Topics

Print Objects and Relationships in the Current Model View

Print Object and Relationship Properties


Print Objects and Relationships in the Current Model View

You can print all objects and relationships that are currently displayed in the right pane of the METIS Model Browser window, or you can print a selected area.

  1. To print all of the current objects and relationships displayed in the current model view or a selected area, do one of the following:
    • Zoom in or out to display the entire model view in the right pane of the METIS Model Browser window.

    • Zoom in or out to display the area you want to print completely in the right pane of the METIS Model Browser window.
  2. On the File menu in the METIS Model Browser window, click Print. A gray box highlights the printing range. Do one or more of the following:
    • To specify the number of horizontal pages to print on, in the Horizontal pages box, type or select the number of pages.

    • To specify the number of vertical pages to print on, in the Vertical pages box, type or select the number of pages.

    • To print in portrait orientation, clear the Landscape page orientation box.

    • To print in landscape orientation, select the Landscape page orientation box.

    • To print a grid, select the Print grid box. Clear the box to not print the grid.
  3. To print, click Print.

Tips:

  • If you want to adjust how the model fits into the printing range, click Cancel, and then zoom in or out of the model to adjust accordingly.

  • You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

  • You can also print object and relationship properties

Related Topics

Print Object and Relationship Properties


Print Object and Relationship Properties

You can print the properties for all or selected objects or relationships displayed in the Property List dialog box. You can print the properties for all objects in a structure, for example, a container or a decomposition structure, or the properties for all relationships connected to an object.

  1. Right-click a container, a decomposition structure, or an object whose connected relationship properties you want to print.

  2. Point to Property List and do one of the following:
    • To display the Property List for an object structure, click Object Structure.

    • To display the Property List for relationships connected to an object, click Connected Relationships.
  3. If required, select the objects or relationship whose properties you want to print in the Property List dialog box.

  4. Click Print [image].

  5. In the Property Print dialog box, do one or more of the following:
    • Select Selected to print properties for selected objects or relationships displayed in the Property List dialog box only.

    • Select All to print properties for all objects or relationships displayed in the Property List dialog box.

    • Select the properties you want to print in the Properties box. A check mark appears next to the property.

    • Deselect the properties you do not want to print in the Properties box. No check mark appears next to the property.
  6. Click Print.

  7. Click OK in the Print dialog box.

  8. To close the Property List dialog box, click OK.

Note: Only common properties are displayed in the Property List dialog box. For example, you may have a container that displays Organization and Location object types. Only the Name and Description properties will be displayed in the dialog box for these types.

Tip: You can export the properties displayed in the Property List dialog box.

Related Topics

Print Objects and Relationships in the Current Model View

Export Properties


Customizing the Interface

You can customize the METIS Model Browser interface. You can choose to show and hide the tree structures in the left pane of the METIS Model Browser window, the status bar, and the scroll bars.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Sub Topics

Show or Hide Tree Structures

Show or Hide the Status Bar

Show or Hide Scroll Bars

Show or Hide the Standard Toolbar


Show or Hide Tree Structures

The tree structures in the left pane of the METIS window allow you to view information about your objects and object views. You can choose to show or hide the tree structures.

  • On the View menu in the METIS Model Browser window, click Show Left Pane.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Using METIS Menus

Using METIS Toolbars

Using Tree Structure Tabs and Buttons


Show or Hide the Status Bar

  • On the View menu in the METIS Model Browser window, click Status Bar.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Using METIS Menus

Using METIS Toolbars

Using Tree Structure Tabs and Buttons


Show or Hide Scroll Bars

  • On the View menu in the METIS Model Browser window, click Show Scroll Bars.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Using METIS Menus

Using METIS Toolbars

Using Tree Structure Tabs and Buttons


Show or Hide the Standard Toolbar

  • To show or hide the toolbar right-click the toolbar and click Standard. The check mark is removed when the Standard toolbar is hidden and displayed when the toolbar is displayed.

Alternative: On the View menu, point to Toolbars, and then click Standard.

Tip: You can use the METIS Model Browser wizard to define what is shown or hidden when the model is first opened in the browser. For example, you can specify whether to display the menu bar, the status bar, the toolbars, and the left pane of the METIS window. Options on the View menu in the METIS Model Browser window can then be used to show or hide these elements after the model has been loaded in the browser.

Related Topics

Using METIS Menus

Using METIS Toolbars

Using Tree Structure Tabs and Buttons


Object/Relationship Properties

Home

On the Instance, Link, View, and Type tabs:

  • Click to return to the initial viewing position of the model view.

  • Click to clear navigation history.

On the Instance, View, and Type tabs:

  • Click to display the properties of the initial object.

Tip: Click [image] on the upper part of the dialog box to zoom to the initial object.

Previous

On the Instance, Link, View, and Type tabs:

  • Click to display the previous dialog setting in the navigation history.

Tip: Click Home [image] to display the properties for the initial object on the Instance, View, and Type tabs.

Next

On the Instance, Link, View, and Type tabs:

  • Click to display the next dialog setting in the navigation history.

Tip: Click Home [image] to display the properties for the initial object on the Instance, View, and Type tabs.

Zoom to Object [image]:

On the Instance, Link, View, and Type tabs:

  • Click [image] on the upper part of the dialog box to zoom to the initial object.

Tip: Hold the mouse over a [image] to display the name of the model view tab where the object view is displayed.

OK: Closes this dialog box.

Cancel: Closes this dialog box.

Sub Topics

Instance Tab (Object/Relationship Properties)

Links Tab (Object/Relationship Properties)

View Tab (Object/Relationship Properties)

Type Tab (Object/Relationship Properties)

Dependency Tab (Object/Relationship Properties)


Instance Tab (Object/Relationship Properties)

Use this tab to view properties for the current object or relationship.

Tips:

  • To view the properties of an object connected to the current object, click the Links tab and click the name of the object whose properties you want to view. The various properties for the selected object are displayed on the Instance, View, and Type tabs.

  • Click Home [image] to display properties for the initial object.

Object Properties: Property values on the Instance tab are available depending on the object type. For example, some object types may have only Name and Description property values while others may have additional property values such as Date of Birth and Location. Refer to the applicable metamodel reference guide for information about each object type.

URI: Displays the Uniform Resource Identifier (URI) for the current object.


Links Tab (Object/Relationship Properties)

This tab displays all objects and relationships that are connected to the current object. The names of the origin and target objects for a relationship can also be displayed. Use this tab to navigate from the initial object to any connected object.

Notes:

  • The name of the current object is displayed in the Relationships for… title on the upper part of this tab.

  • A [image] represents that a relationship between the two objects exists but no corresponding relationship view exists.

Tip: Hold the mouse over a [image] to display the name of the model view tab where the object view is located on a tooltip.

Relationships for…: Displays the names of all objects and relationships connected to the current object. The name of the current object is displayed next to the Relationships for… title.

  • Click an object's name to display the names of all objects and relationships connected to that object on this tab. The properties for the selected object are also displayed on the Instance, View, and Type tabs.

  • Click a relationship's name to display the names of the origin and target objects for each relationship listed on this tab.

  • Click Previous [image] to return to the former dialog setting.

  • Click [image] next to the name of an object to zoom to this object in the model view.

Note: If you have more than one view of an object, more than one [image] is displayed.

Origin and Target Objects: Displays the names of the source and target objects for each relationship listed on this tab. To display the names of the source and target objects, click a relationship's name when the upper part of this dialog reads Relationships for… This title changes to Origin and Target Objects.

  • Click the name of the origin or target object to display the names of all objects and relationships connected to it on this tab. The properties for the selected object are also displayed on the Instance, View, and Type tabs.

  • Click [image] next to the name of the origin or target object to zoom to this object in the model view.

  • Click Previous [image] to return to the former dialog setting.

Tip: To display the property values on the Instance, View, and Type tabs for each object or relationship listed on the links tab, click the object or relationship’s name.

URI: Hold the mouse over an object or relationship listed on this tab to display its Uniform Resource Identifier (URI).


View Tab (Object/Relationship Properties)

Use this tab to view information about an instance view or to edit the relative size and position of an instance.

Relative Size

Width / -in %: Displays the current width of the object view.

Height / -in %: Displays the current height of the object view.

Lock Aspect Ratio: Displays whether the aspect ratio between the object's height and width is maintained.

Relative Position

Horizontal: Displays the horizontal position coordinates of the current object relative to its parent.

Vertical: Displays the vertical position coordinates of the current object relative to its parent.

Size Factors

Scale Factor: Displays the scale factor for the current object view relative to the default scale factor.

Text Factor: Displays the zoom level for the current object view where the text is displayed with the point-size defined on the symbol.

URI: Displays the Uniform Resource Identifier (URI) for the current instance view.


Type Tab (Object/Relationship Properties)

Use this tab to view type-specific information.

Type: Displays the name of the current object or relationship type, for example, the Organization object type.

Description: Displays the description of the current object or relationship type.

Shared Properties: Displays the shared properties for the current object or relationship type (for example, the From text and To text for a relationship type).

URI: Displays the Uniform Resource Identifier (URI) for the current instance type.


Dependency Tab (Object/Relationship Properties)

Use this tab to zoom to the source of a dependent view.

Zoom Source: Click to zoom to the source view. Note that if the source view exists in another model clicking [image] Zoom Source will open the model containing the source view.

Refresh: Refreshes a camera dependent view or a stored mirror view to reflect any recent changes in the source view. Note that when you refresh a camera mirror view or a stored mirror view in another model the model containing the source view is opened.

Remove: Removes dependency from the view.

Camera Mode: Changes a mirror dependent view or a stored mirror dependent view to a camera dependent view.

Mirror Mode: Changes a camera dependent view or a stored mirror dependent view to a mirror dependent view.

Store Views: Changes a mirror dependent view to a stored mirror dependent view. Note that you must select both Mirror Mode and Store Views to change a camera dependent view to a stored mirror dependent view.


Load State

Load State: Displays the list of loaded files with their current state and access privileges. To copy the contents to the Windows clipboard select the required lines and then use the shortcut keys, Ctrl+C to copy.

Tips:

  • To select all lines, use the shortcut keys, Ctrl + A.

  • To select multiple lines next to each other, select the first line you require, hold down Shift, and then select the last line.

  • To toggle selecting and deselecting lines, hold down Control and select or deselect.

Close: Closes the Load State dialog box. Note that the dialog box is only hidden. To display the dialog box again, on the Tools menu, click Show Load State.


Object Property List

Properties [image] : Displays the Properties dialog box for the object selected in this dialog box.

CSV Export Properties [image] : Displays the CSV Export Properties dialog box allowing you to export properties for all or selected objects displayed in this dialog box.

Print [image] : Displays the Print dialog box allowing you to print properties for all or selected objects displayed in this dialog box.

Type Column: Displays the type label for each object type displayed in this dialog box, for example, Container and Organization Object. You cannot edit this column. Note that this column is only displayed when multiple types are selected.

Property Columns: Displays the property values for each object displayed in this dialog box. Note that only common properties are displayed in this dialog box when you select multiple types. Click in each row and column to edit the property values for each object.

OK: Applies and saves any changes made and then closes this dialog box.

Revert: Removes any changes made in this dialog box since the last Apply and restores the former settings.

Apply: Applies and saves any changes made without closing the dialog box.

Cancel: Closes the dialog box without saving any changes made since the last Apply.


Relationship Property List

Properties [image] : Displays the Properties dialog box for the relationship selected in this dialog box.

CSV Export Properties [image] : Displays the CSV Export Properties dialog box allowing you to export properties for all or selected relationships displayed in this dialog box.

Print [image] : Displays the Print dialog box allowing you to print properties for all or selected relationships displayed in this dialog box.

Type Column: Displays the type label for each relationship type displayed in this dialog box, for example, General Relationship and Competence Profile has Formal Competence. You cannot edit this column. Note that this column is only displayed when multiple relationship types are displayed in this dialog box.

Origin Column: Displays the label property value for the origin object of each relationship. Note that this is usually the Name property value.

Target Column: Displays the label property value for the target object of each relationship. Note that this is usually the Name property value.

Property Columns: Displays the property values for each relationship displayed in this dialog box. Note that only common properties are displayed in this dialog box when you select multiple types. Click in each row and column to edit the property values for each relationship.

OK: Applies and saves any changes made and then closes this dialog box.

Revert: Removes any changes made in this dialog box since the last Apply and restores the former settings.

Apply: Applies and saves any changes made without closing the dialog box.

Cancel: Closes the dialog box without saving any changes made since the last Apply.


Property Print

Properties: Displays properties that can be printed from this dialog box. Select a property to print it. A check mark appears next to the property. To not print a property, deselect it. The check mark is removed.

Selected: Specifies to print all properties that are selected in the Properties list on this dialog box.

All: Specifies to print all properties displayed in the Properties list on this dialog box.

Print: Displays the Print dialog box for you to print the properties selected on this dialog box.

Cancel: Cancels the current print operation and returns to the Object Property List or Relationship Property List dialog box.


CSV Export Properties

CSV Export File: Displays the name of the current export file. Click Browse below the CSV Export File box to locate a new or existing CSV export file.

Browse: Click to browse to the desired file, or to locate a new file.

Selected: Exports only the properties for objects or relationships selected in the Property List dialog box.

All: Exports properties for all objects or relationships displayed in the Property List dialog box.

Column Header: Displays the property label, for example, Name and Description, for each column in the first row of the CSV export file.

Row Header: Displays the type label, for example, Container and Organization object, for each object or relationship in the first column of the CSV export file.

OK: Exports the data to the CSV export file specified in the CSV Export File box.

Close: Closes the dialog box without saving any changes that you have made.


Print

Section: Displays the current printing range highlighted by a gray box. To select the number of printing pages, type or select a number in the Horizontal pages and Vertical pages boxes on this dialog box. A gray box highlights each printing page.

Horizontal pages: Specifies the number of horizontal pages on which to print a model, symbol, or relationship symbol. Type or select a number in the Horizontal pages box. A gray box in the Section area of this dialog box highlights each page to be printed.

Vertical pages: Specifies the number of vertical pages on which to print a model, symbol, or relationship symbol. Type or select a number in the Vertical pages box. A gray box in the Section area of this dialog box highlights each page to be printed.

Landscape page orientation: Prints the model, symbol, or relationship symbol in landscape orientation. Select Landscape page orientation to print in landscape orientation. Clear the check box to print in portrait orientation.

Print grid: Prints a grid with the model, symbol, or relationships symbol based on grid settings specified on the Grid toolbar, the View menu (Grid command), or the Preferences dialog box, (Tools menu).

Print: Displays the Print dialog box for you to print the current printing range displayed in the Section area of this dialog box and to change the printer setup. Click OK to print.

Cancel: Cancels the current printing operation.


Help Contents

Contents

METIS Model Browser Help

Getting Help

METIS Resources

Copyright and Trademarks

The METIS Model Browser User Interface

Using METIS Menus

Using METIS Toolbars

Using Tree Structure Tabs and Buttons

Navigating and Viewing a Model

Navigating and Viewing

Changing the Appearance of a Model View

Opening and Closing Containers and Objects

Show and Hide Relationships and Their Text

Opening Online Documents

Opening Documents

Exporting Properties

Export Properties

Printing

Printing

Customize the Model Browser Interface

Customizing the Interface

Reference for Dialog Boxes

Object/Relationship Properties

Load State

Object Property List

Relationship Property List

Property Print

CSV Export Properties

Print